Products 3 endpoints

POST /v1/products/{product}/features

Creates a product_feature, which represents a feature attachment to a product

operationId: PostProductsProductFeatures

Parameters

Name In Required Type Description
product path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
entitlement_feature string required

Responses

default

Error response.

200

Successful response.

POST /v1/products/{product}/features
DELETE /v1/products/{product}/features/{id}

Deletes the feature attachment to a product

operationId: DeleteProductsProductFeaturesId

Parameters

Name In Required Type Description
id path required string
product path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/products/{product}/features/{id}
GET /v1/products/{product}/features/{id}

Retrieves a product_feature, which represents a feature attachment to a product

operationId: GetProductsProductFeaturesId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

The ID of the product_feature.

product path required string

The ID of the product.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/products/{product}/features/{id}

Promotioncodes 4 endpoints

GET /v1/promotion_codes

Returns a list of your promotion codes.

operationId: GetPromotionCodes

Parameters

Name In Required Type Description
active query optional boolean

Filter promotion codes by whether they are active.

code query optional string

Only return promotion codes that have this case-insensitive code.

coupon query optional string

Only return promotion codes for this coupon.

created query optional

A filter on the list, based on the object created field. The value can be a string with an integer Unix timestamp, or it can be a dictionary with a number of different query options.

customer query optional string

Only return promotion codes that are restricted to this customer.

customer_account query optional string

Only return promotion codes that are restricted to this account representing the customer.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/promotion_codes
POST /v1/promotion_codes

A promotion code points to an underlying promotion. You can optionally restrict the code to a specific customer, redemption limit, and expiration date.

operationId: PostPromotionCodes

Request Body

required
application/x-www-form-urlencoded
Property Type Required
code string optional
active boolean optional
expand array optional
customer string optional
metadata object optional
promotion object required
type string required
coupon string optional
expires_at integer optional
restrictions object optional
minimum_amount integer optional
currency_options object optional
first_time_transaction boolean optional
minimum_amount_currency string optional
max_redemptions integer optional
customer_account string optional

Responses

default

Error response.

200

Successful response.

POST /v1/promotion_codes
GET /v1/promotion_codes/{promotion_code}

Retrieves the promotion code with the given ID. In order to retrieve a promotion code by the customer-facing code use list with the desired code.

operationId: GetPromotionCodesPromotionCode

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

promotion_code path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/promotion_codes/{promotion_code}
POST /v1/promotion_codes/{promotion_code}

Updates the specified promotion code by setting the values of the parameters passed. Most fields are, by design, not editable.

operationId: PostPromotionCodesPromotionCode

Parameters

Name In Required Type Description
promotion_code path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
active boolean optional
expand array optional
metadata object optional
restrictions object optional
currency_options object optional

Responses

default

Error response.

200

Successful response.

POST /v1/promotion_codes/{promotion_code}

Quotes 10 endpoints

GET /v1/quotes

Returns a list of your quotes.

operationId: GetQuotes

Parameters

Name In Required Type Description
customer query optional string

The ID of the customer whose quotes you’re retrieving.

customer_account query optional string

The ID of the account representing the customer whose quotes you’re retrieving.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

The status of the quote.

test_clock query optional string

Provides a list of quotes that are associated with the specified test clock. The response will not include quotes with test clocks if this and the customer parameter is not set.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/quotes
POST /v1/quotes

A quote models prices and services for a customer. Default options for header, description, footer, and expires_at can be set in the dashboard via the quote template.

operationId: PostQuotes

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
footer object optional
header object optional
customer string optional
metadata object optional
discounts object optional
expires_at integer optional
from_quote object optional
quote string required
is_revision boolean optional
line_items array optional
price string optional
quantity integer optional
discounts object optional
tax_rates object optional
price_data object optional
product string required
currency string required
recurring object optional
interval string required
interval_count integer optional
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
test_clock string optional
description object optional
on_behalf_of object optional
automatic_tax object optional
enabled boolean required
liability object optional
type string required
account string optional
transfer_data object optional
customer_account string optional
invoice_settings object optional
issuer object optional
type string required
account string optional
days_until_due integer optional
collection_method string optional
default_tax_rates object optional
subscription_data object optional
metadata object optional
description string optional
billing_mode object optional
type string required
flexible object optional
proration_discounts string optional
effective_date object optional
trial_period_days object optional
application_fee_amount object optional
…1 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/quotes
GET /v1/quotes/{quote}

Retrieves the quote with the given ID.

operationId: GetQuotesQuote

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

quote path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/quotes/{quote}
POST /v1/quotes/{quote}

A quote models prices and services for a customer.

operationId: PostQuotesQuote

Parameters

Name In Required Type Description
quote path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
footer object optional
header object optional
customer string optional
metadata object optional
discounts object optional
expires_at integer optional
line_items array optional
id string optional
price string optional
quantity integer optional
discounts object optional
tax_rates object optional
price_data object optional
product string required
currency string required
recurring object optional
interval string required
interval_count integer optional
unit_amount integer optional
tax_behavior string optional
unit_amount_decimal string optional
description object optional
on_behalf_of object optional
automatic_tax object optional
enabled boolean required
liability object optional
type string required
account string optional
transfer_data object optional
customer_account string optional
invoice_settings object optional
issuer object optional
type string required
account string optional
days_until_due integer optional
collection_method string optional
default_tax_rates object optional
subscription_data object optional
metadata object optional
description object optional
effective_date object optional
trial_period_days object optional
application_fee_amount object optional
application_fee_percent object optional

Responses

default

Error response.

200

Successful response.

POST /v1/quotes/{quote}
POST /v1/quotes/{quote}/accept

Accepts the specified quote.

operationId: PostQuotesQuoteAccept

Parameters

Name In Required Type Description
quote path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/quotes/{quote}/accept
POST /v1/quotes/{quote}/cancel

Cancels the quote.

operationId: PostQuotesQuoteCancel

Parameters

Name In Required Type Description
quote path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/quotes/{quote}/cancel
GET /v1/quotes/{quote}/computed_upfront_line_items

When retrieving a quote, there is an includable computed.upfront.line_items property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of upfront line items.

operationId: GetQuotesQuoteComputedUpfrontLineItems

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

quote path required string
starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/quotes/{quote}/computed_upfront_line_items
POST /v1/quotes/{quote}/finalize

Finalizes the quote.

operationId: PostQuotesQuoteFinalize

Parameters

Name In Required Type Description
quote path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
expires_at integer optional

Responses

default

Error response.

200

Successful response.

POST /v1/quotes/{quote}/finalize
GET /v1/quotes/{quote}/line_items

When retrieving a quote, there is an includable line_items property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.

operationId: GetQuotesQuoteLineItems

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

quote path required string
starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/quotes/{quote}/line_items
GET /v1/quotes/{quote}/pdf

Download the PDF for a finalized quote. Explanation for special handling can be found here

operationId: GetQuotesQuotePdf

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

quote path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/quotes/{quote}/pdf

Radar 12 endpoints

GET /v1/radar/early_fraud_warnings

Returns a list of early fraud warnings.

operationId: GetRadarEarlyFraudWarnings

Parameters

Name In Required Type Description
charge query optional string

Only return early fraud warnings for the charge specified by this charge ID.

created query optional

Only return early fraud warnings that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent query optional string

Only return early fraud warnings for charges that were created by the PaymentIntent specified by this PaymentIntent ID.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/early_fraud_warnings
GET /v1/radar/early_fraud_warnings/{early_fraud_warning}

Retrieves the details of an early fraud warning that has previously been created.

Please refer to the early fraud warning object reference for more details.

operationId: GetRadarEarlyFraudWarningsEarlyFraudWarning

Parameters

Name In Required Type Description
early_fraud_warning path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/early_fraud_warnings/{early_fraud_warning}
POST /v1/radar/payment_evaluations

Request a Radar API fraud risk score from Stripe for a payment before sending it for external processor authorization.

operationId: PostRadarPaymentEvaluations

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional
payment_details object required
amount integer required
currency string required
description string optional
shipping_details object optional
name string optional
phone string optional
address object optional
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
statement_descriptor string optional
money_movement_details object optional
card object optional
payment_type string optional
customer_presence string optional
money_movement_type string required
payment_method_details object required
payment_method string required
billing_details object optional
name string optional
email string optional
phone string optional
address object optional
customer_details object required
name string optional
email string optional
phone string optional
customer string optional
customer_account string optional
client_device_metadata_details object optional
radar_session string required

Responses

default

Error response.

200

Successful response.

POST /v1/radar/payment_evaluations
GET /v1/radar/value_list_items

Returns a list of ValueListItem objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetRadarValueListItems

Parameters

Name In Required Type Description
created query optional

Only return items that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

value query optional string

Return items belonging to the parent list whose value matches the specified value (using an “is like” match).

value_list query required string

Identifier for the parent value list this item belongs to.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/value_list_items
POST /v1/radar/value_list_items

Creates a new ValueListItem object, which is added to the specified parent value list.

operationId: PostRadarValueListItems

Request Body

required
application/x-www-form-urlencoded
Property Type Required
value string required
expand array optional
value_list string required

Responses

default

Error response.

200

Successful response.

POST /v1/radar/value_list_items
DELETE /v1/radar/value_list_items/{item}

Deletes a ValueListItem object, removing it from its parent value list.

operationId: DeleteRadarValueListItemsItem

Parameters

Name In Required Type Description
item path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/radar/value_list_items/{item}
GET /v1/radar/value_list_items/{item}

Retrieves a ValueListItem object.

operationId: GetRadarValueListItemsItem

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

item path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/value_list_items/{item}
GET /v1/radar/value_lists

Returns a list of ValueList objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetRadarValueLists

Parameters

Name In Required Type Description
alias query optional string

The alias used to reference the value list when writing rules.

contains query optional string

A value contained within a value list - returns all value lists containing this value.

created query optional

Only return value lists that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/value_lists
POST /v1/radar/value_lists

Creates a new ValueList object, which can then be referenced in rules.

operationId: PostRadarValueLists

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name string required
alias string required
expand array optional
metadata object optional
item_type string optional

Responses

default

Error response.

200

Successful response.

POST /v1/radar/value_lists
DELETE /v1/radar/value_lists/{value_list}

Deletes a ValueList object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules.

operationId: DeleteRadarValueListsValueList

Parameters

Name In Required Type Description
value_list path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

DELETE /v1/radar/value_lists/{value_list}
GET /v1/radar/value_lists/{value_list}

Retrieves a ValueList object.

operationId: GetRadarValueListsValueList

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

value_list path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/radar/value_lists/{value_list}
POST /v1/radar/value_lists/{value_list}

Updates a ValueList object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Note that item_type is immutable.

operationId: PostRadarValueListsValueList

Parameters

Name In Required Type Description
value_list path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name string optional
alias string optional
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/radar/value_lists/{value_list}

Refunds 5 endpoints

GET /v1/refunds

Returns a list of all refunds you created. We return the refunds in sorted order, with the most recent refunds appearing first. The 10 most recent refunds are always available by default on the Charge object.

operationId: GetRefunds

Parameters

Name In Required Type Description
charge query optional string

Only return refunds for the charge specified by this charge ID.

created query optional

Only return refunds that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_intent query optional string

Only return refunds for the PaymentIntent specified by this ID.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/refunds
POST /v1/refunds

When you create a new refund, you must specify a Charge or a PaymentIntent object on which to create it.

Creating a new refund will refund a charge that has previously been created but not yet refunded. Funds will be refunded to the credit or debit card that was originally charged.

You can optionally refund only part of a charge. You can do so multiple times, until the entire charge has been refunded.

Once entirely refunded, a charge can’t be refunded again. This method will raise an error when called on an already-refunded charge, or when trying to refund more money than is left on a charge.

operationId: PostRefunds

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
charge string optional
expand array optional
origin string optional
reason string optional
currency string optional
customer string optional
metadata object optional
payment_intent string optional
reverse_transfer boolean optional
instructions_email string optional
refund_application_fee boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/refunds
GET /v1/refunds/{refund}

Retrieves the details of an existing refund.

operationId: GetRefundsRefund

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

refund path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/refunds/{refund}
POST /v1/refunds/{refund}

Updates the refund that you specify by setting the values of the passed parameters. Any parameters that you don’t provide remain unchanged.

This request only accepts metadata as an argument.

operationId: PostRefundsRefund

Parameters

Name In Required Type Description
refund path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/refunds/{refund}
POST /v1/refunds/{refund}/cancel

Cancels a refund with a status of requires_action.

You can’t cancel refunds in other states. Only refunds for payment methods that require customer action can enter the requires_action state.

operationId: PostRefundsRefundCancel

Parameters

Name In Required Type Description
refund path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/refunds/{refund}/cancel

Reporting 5 endpoints

GET /v1/reporting/report_runs

Returns a list of Report Runs, with the most recent appearing first.

operationId: GetReportingReportRuns

Parameters

Name In Required Type Description
created query optional

Only return Report Runs that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reporting/report_runs
POST /v1/reporting/report_runs

Creates a new object and begin running the report. (Certain report types require a live-mode API key.)

operationId: PostReportingReportRuns

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
parameters object optional
payout string optional
columns array optional
currency string optional
timezone string optional
interval_end integer optional
interval_start integer optional
connected_account string optional
reporting_category string optional
report_type string required

Responses

default

Error response.

200

Successful response.

POST /v1/reporting/report_runs
GET /v1/reporting/report_runs/{report_run}

Retrieves the details of an existing Report Run.

operationId: GetReportingReportRunsReportRun

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

report_run path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reporting/report_runs/{report_run}
GET /v1/reporting/report_types

Returns a full list of Report Types.

operationId: GetReportingReportTypes

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reporting/report_types
GET /v1/reporting/report_types/{report_type}

Retrieves the details of a Report Type. (Certain report types require a live-mode API key.)

operationId: GetReportingReportTypesReportType

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

report_type path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reporting/report_types/{report_type}

Reviews 3 endpoints

GET /v1/reviews

Returns a list of Review objects that have open set to true. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetReviews

Parameters

Name In Required Type Description
created query optional

Only return reviews that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reviews
GET /v1/reviews/{review}

Retrieves a Review object.

operationId: GetReviewsReview

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

review path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/reviews/{review}
POST /v1/reviews/{review}/approve

Approves a Review object, closing it and removing it from the list of reviews.

operationId: PostReviewsReviewApprove

Parameters

Name In Required Type Description
review path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/reviews/{review}/approve

Setupattempts 1 endpoints

GET /v1/setup_attempts

Returns a list of SetupAttempts that associate with a provided SetupIntent.

operationId: GetSetupAttempts

Parameters

Name In Required Type Description
created query optional

A filter on the list, based on the object created field. The value
can be a string with an integer Unix timestamp or a
dictionary with a number of different query options.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

setup_intent query required string

Only return SetupAttempts created by the SetupIntent specified by
this ID.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/setup_attempts

Setupintents 7 endpoints

GET /v1/setup_intents

Returns a list of SetupIntents.

operationId: GetSetupIntents

Parameters

Name In Required Type Description
attach_to_self query optional boolean

If present, the SetupIntent’s payment method will be attached to the in-context Stripe Account.

It can only be used for this Stripe Account’s own money movement flows like InboundTransfer and OutboundTransfers. It cannot be set to true when setting up a PaymentMethod for a Customer, and defaults to false when attaching a PaymentMethod to a Customer.

created query optional

A filter on the list, based on the object created field. The value can be a string with an integer Unix timestamp, or it can be a dictionary with a number of different query options.

customer query optional string

Only return SetupIntents for the customer specified by this customer ID.

customer_account query optional string

Only return SetupIntents for the account specified by this customer ID.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_method query optional string

Only return SetupIntents that associate with the specified payment method.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/setup_intents
POST /v1/setup_intents

Creates a SetupIntent object.

After you create the SetupIntent, attach a payment method and confirm it to collect any required permissions to charge the payment method later.

operationId: PostSetupIntents

Request Body

application/x-www-form-urlencoded
Property Type Required
usage string optional
expand array optional
confirm boolean optional
customer string optional
metadata object optional
return_url string optional
single_use object optional
amount integer required
currency string required
description string optional
mandate_data object optional
on_behalf_of string optional
attach_to_self boolean optional
payment_method string optional
use_stripe_sdk boolean optional
flow_directions array optional
customer_account string optional
confirmation_token string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_types array optional
payment_method_options object optional
pix object optional
mandate_options object optional
amount integer optional
currency string optional
end_date string optional
reference string optional
start_date string optional
amount_type string optional
payment_schedule string optional
amount_includes_iof string optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
setup_future_usage string optional
card object optional
network string optional
three_d_secure object optional
version string optional
cryptogram string optional
transaction_id string optional
network_options object optional
ares_trans_status string optional
electronic_commerce_indicator string optional
requestor_challenge_indicator string optional
mandate_options object optional
amount integer required
currency string required
end_date integer optional
interval string required
reference string required
start_date integer required
amount_type string required
description string optional
interval_count integer optional
supported_types array optional
request_three_d_secure string optional
link object optional
payto object optional
mandate_options object optional
amount object optional
purpose string optional
end_date object optional
start_date object optional
amount_type string optional
payment_schedule string optional
payments_per_period object optional
klarna object optional
currency string optional
on_demand object optional
average_amount integer optional
maximum_amount integer optional
minimum_amount integer optional
purchase_interval string optional
purchase_interval_count integer optional
subscriptions object optional
preferred_locale string optional
paypal object optional
billing_agreement_id string optional
acss_debit object optional
currency string optional
mandate_options object optional
default_for array optional
payment_schedule string optional
transaction_type string optional
custom_mandate_url object optional
interval_description string optional
verification_method string optional
amazon_pay object optional
bacs_debit object optional
mandate_options object optional
reference_prefix object optional
sepa_debit object optional
mandate_options object optional
reference_prefix object optional
card_present object optional
us_bank_account object optional
networks object optional
requested array optional
mandate_options object optional
collection_method string optional
verification_method string optional
financial_connections object optional
filters object optional
prefetch array optional
return_url string optional
permissions array optional
automatic_payment_methods object optional
enabled boolean required
allow_redirects string optional
…2 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/setup_intents
GET /v1/setup_intents/{intent}

Retrieves the details of a SetupIntent that has previously been created.

Client-side retrieval using a publishable key is allowed when the client_secret is provided in the query string.

When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the SetupIntent object reference for more details.

operationId: GetSetupIntentsIntent

Parameters

Name In Required Type Description
client_secret query optional string

The client secret of the SetupIntent. We require this string if you use a publishable key to retrieve the SetupIntent.

expand query optional array

Specifies which fields in the response should be expanded.

intent path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/setup_intents/{intent}
POST /v1/setup_intents/{intent}

Updates a SetupIntent object.

operationId: PostSetupIntentsIntent

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
customer string optional
metadata object optional
description string optional
attach_to_self boolean optional
payment_method string optional
flow_directions array optional
customer_account string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_types array optional
payment_method_options object optional
pix object optional
mandate_options object optional
amount integer optional
currency string optional
end_date string optional
reference string optional
start_date string optional
amount_type string optional
payment_schedule string optional
amount_includes_iof string optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
setup_future_usage string optional
card object optional
network string optional
three_d_secure object optional
version string optional
cryptogram string optional
transaction_id string optional
network_options object optional
ares_trans_status string optional
electronic_commerce_indicator string optional
requestor_challenge_indicator string optional
mandate_options object optional
amount integer required
currency string required
end_date integer optional
interval string required
reference string required
start_date integer required
amount_type string required
description string optional
interval_count integer optional
supported_types array optional
request_three_d_secure string optional
link object optional
payto object optional
mandate_options object optional
amount object optional
purpose string optional
end_date object optional
start_date object optional
amount_type string optional
payment_schedule string optional
payments_per_period object optional
klarna object optional
currency string optional
on_demand object optional
average_amount integer optional
maximum_amount integer optional
minimum_amount integer optional
purchase_interval string optional
purchase_interval_count integer optional
subscriptions object optional
preferred_locale string optional
paypal object optional
billing_agreement_id string optional
acss_debit object optional
currency string optional
mandate_options object optional
default_for array optional
payment_schedule string optional
transaction_type string optional
custom_mandate_url object optional
interval_description string optional
verification_method string optional
amazon_pay object optional
bacs_debit object optional
mandate_options object optional
reference_prefix object optional
sepa_debit object optional
mandate_options object optional
reference_prefix object optional
card_present object optional
us_bank_account object optional
networks object optional
requested array optional
mandate_options object optional
collection_method string optional
verification_method string optional
financial_connections object optional
filters object optional
prefetch array optional
return_url string optional
permissions array optional
payment_method_configuration string optional
excluded_payment_method_types object optional

Responses

default

Error response.

200

Successful response.

POST /v1/setup_intents/{intent}
POST /v1/setup_intents/{intent}/cancel

You can cancel a SetupIntent object when it’s in one of these statuses: requires_payment_method, requires_confirmation, or requires_action.

After you cancel it, setup is abandoned and any operations on the SetupIntent fail with an error. You can’t cancel the SetupIntent for a Checkout Session. Expire the Checkout Session instead.

operationId: PostSetupIntentsIntentCancel

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
cancellation_reason string optional

Responses

default

Error response.

200

Successful response.

POST /v1/setup_intents/{intent}/cancel
POST /v1/setup_intents/{intent}/confirm

Confirm that your customer intends to set up the current or provided payment method. For example, you would confirm a SetupIntent when a customer hits the “Save” button on a payment method management page on your website.

If the selected payment method does not require any additional steps from the customer, the SetupIntent will transition to the succeeded status.

Otherwise, it will transition to the requires_action status and suggest additional actions via next_action. If setup fails, the SetupIntent will transition to the requires_payment_method status or the canceled status if the confirmation limit is reached.

operationId: PostSetupIntentsIntentConfirm

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
return_url string optional
mandate_data object optional
client_secret string optional
payment_method string optional
use_stripe_sdk boolean optional
confirmation_token string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_options object optional
pix object optional
mandate_options object optional
amount integer optional
currency string optional
end_date string optional
reference string optional
start_date string optional
amount_type string optional
payment_schedule string optional
amount_includes_iof string optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
setup_future_usage string optional
card object optional
network string optional
three_d_secure object optional
version string optional
cryptogram string optional
transaction_id string optional
network_options object optional
ares_trans_status string optional
electronic_commerce_indicator string optional
requestor_challenge_indicator string optional
mandate_options object optional
amount integer required
currency string required
end_date integer optional
interval string required
reference string required
start_date integer required
amount_type string required
description string optional
interval_count integer optional
supported_types array optional
request_three_d_secure string optional
link object optional
payto object optional
mandate_options object optional
amount object optional
purpose string optional
end_date object optional
start_date object optional
amount_type string optional
payment_schedule string optional
payments_per_period object optional
klarna object optional
currency string optional
on_demand object optional
average_amount integer optional
maximum_amount integer optional
minimum_amount integer optional
purchase_interval string optional
purchase_interval_count integer optional
subscriptions object optional
preferred_locale string optional
paypal object optional
billing_agreement_id string optional
acss_debit object optional
currency string optional
mandate_options object optional
default_for array optional
payment_schedule string optional
transaction_type string optional
custom_mandate_url object optional
interval_description string optional
verification_method string optional
amazon_pay object optional
bacs_debit object optional
mandate_options object optional
reference_prefix object optional
sepa_debit object optional
mandate_options object optional
reference_prefix object optional
card_present object optional
us_bank_account object optional
networks object optional
requested array optional
mandate_options object optional
collection_method string optional
verification_method string optional
financial_connections object optional
filters object optional
prefetch array optional
return_url string optional
permissions array optional

Responses

default

Error response.

200

Successful response.

POST /v1/setup_intents/{intent}/confirm
POST /v1/setup_intents/{intent}/verify_microdeposits

Verifies microdeposits on a SetupIntent object.

operationId: PostSetupIntentsIntentVerifyMicrodeposits

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
amounts array optional
client_secret string optional
descriptor_code string optional

Responses

default

Error response.

200

Successful response.

POST /v1/setup_intents/{intent}/verify_microdeposits
Load more endpoints